aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xfce4-xkb-plugin
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-02 11:43:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-02 11:46:16 +0000
commit4886cfa0a8f6d9478398b31f580521a38f2b2860 (patch)
treef7df2414a9ae03ed728c9212220db7511d9f95a4 /x11/xfce4-xkb-plugin
parent1cd34a581bec61a2e5ce22dbcc9232cc9ef366af (diff)
downloadaports-4886cfa0a8f6d9478398b31f580521a38f2b2860.tar.bz2
aports-4886cfa0a8f6d9478398b31f580521a38f2b2860.tar.xz
x11/xfce4-xkb-plugin: new aport
plugin to switch keyboard layouts for the Xfce4 panel http://xfce-goodies.berlios.de/
Diffstat (limited to 'x11/xfce4-xkb-plugin')
-rw-r--r--x11/xfce4-xkb-plugin/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/x11/xfce4-xkb-plugin/APKBUILD b/x11/xfce4-xkb-plugin/APKBUILD
new file mode 100644
index 0000000000..25b56615d8
--- /dev/null
+++ b/x11/xfce4-xkb-plugin/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-xkb-plugin
+pkgver=0.5.3.3
+pkgrel=0
+pkgdesc="plugin to switch keyboard layouts for the Xfce4 panel"
+url="http://goodies.xfce.org/projects/panel-plugins/xfce4-xkb-plugin"
+license="custom"
+subpackages="$pkgname-doc"
+depends=
+makedepends="xfce4-panel-dev libxklavier-dev librsvg-dev intltool libwnck-dev
+ libxi-dev libxkbfile-dev libsm-dev libgsf-dev e2fsprogs-dev bzip2-dev"
+source="http://goodies.xfce.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="b233cc9de1cbace075eaf6e2c9a8e685 xfce4-xkb-plugin-0.5.3.3.tar.gz"